program numeros_na_ordem_crescente
   implicit none
   integer numero, num_anterior, cont

   write(*,*) "Programa que conta a quantidade de numeros digitados na ordem crescente, ate que seja digitado um fora de ordem"
   write(*,*)
   write(*,*) "Digite os numeros:"
   read(*,*) numero
   cont = 1
   num_anterior = numero
   read(*,*) numero
   do while (numero > num_anterior)
      cont = cont + 1
      num_anterior = numero
      read(*,*) numero
   end do
   
   write(*,*)
   write(*,*) "Total de Numeros Ordenados:", cont
   
   stop
end program numeros_na_ordem_crescente